Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class ResourceNavigatorActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup

Direct Known Subclasses:
  GotoActionGroup, MainActionGroup, OpenActionGroup, RefactorActionGroup, SortAndFilterActionGroup, WorkspaceActionGroup

public abstract class ResourceNavigatorActionGroup
extends ActionGroup

This is the action group for all the resource navigator actions. It delegates to several subgroups for most of the actions.

Since:
  2.0
See Also:
  `GotoActionGroup`, `OpenActionGroup`, `RefactorActionGroup`, `SortAndFilterActionGroup`, `WorkspaceActionGroup`

Field Summary
`protected IResourceNavigator` | `navigator` The resource navigator.

Constructor Summary
`ResourceNavigatorActionGroup(IResourceNavigator navigator)` Constructs a new navigator action group and creates its actions.

Method Summary
`protected ImageDescriptor` | `getImageDescriptor(String relativePath)` Returns the image descriptor with the given relative path.
`IResourceNavigator` | `getNavigator()` Returns the resource navigator.
`void` | `handleKeyPressed(KeyEvent event)` Handles a key pressed event by invoking the appropriate action.
`protected abstract void` | `makeActions()` Makes the actions contained in this action group.
`void` | `runDefaultAction(IStructuredSelection selection)` Runs the default action in the group.

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, fillActionBars, fillContextMenu, getContext, setContext, updateActionBars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### navigator

    protected IResourceNavigator navigator

  The resource navigator.

Constructor Detail

### ResourceNavigatorActionGroup

    public ResourceNavigatorActionGroup(IResourceNavigator navigator)

  Constructs a new navigator action group and creates its actions.

Parameters:
  `navigator` - the resource navigator

Method Detail

### getImageDescriptor

    protected ImageDescriptor getImageDescriptor(String relativePath)

  Returns the image descriptor with the given relative path.

### getNavigator

    public IResourceNavigator getNavigator()

  Returns the resource navigator.

### handleKeyPressed

    public void handleKeyPressed(KeyEvent event)

  Handles a key pressed event by invoking the appropriate action. Does nothing by default.

### makeActions

    protected abstract void makeActions()

  Makes the actions contained in this action group.

### runDefaultAction

    public void runDefaultAction(IStructuredSelection selection)

  Runs the default action in the group. Does nothing by default.

  Parameters:
    `selection` - the current selection

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.